function S=gitinfo()
% FUNCTION fc_tools.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2016-2023 F. Cuvelier
%
  S=struct('name','fc-tools', 'tag','0.0.34.a','commit','4795f7eaa711c3e2d1873157dd75c0ab2ed7d5b6','date', '2023-01-05','time','10-23-14','status',0);return; % automatically updated
  rep=fc_tools.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-tools','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
